Subject: Re: Duplicates in /proc/partitions
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 16 Aug 2021 10:56:32 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-08-16 08:51, Corinna Vinschen via Cygwin wrote:
> On Aug 13 12:56, David Balažic via Cygwin wrote:
>> Before, during and after plugging in a n USB stick:
>>
>> $ cat /proc/partitions
>> major minor  #blocks  name   win-mounts
>>
>>      8     0 1000204632 sda
>>      8     1    102400 sda1
>>      8     2     16384 sda2
>>      8     3 999571820 sda3   C:\
>>      8     4    510976 sda4
>>
>> $ cat /proc/partitions
>> major minor  #blocks  name   win-mounts
>>
>>      8     0 1000204632 sda
>>      8     1    102400 sda1
>>      8     2     16384 sda2
>>      8     3 999571820 sda3   C:\
>>      8     4    510976 sda4
>>      8    16  62522712 sdb
>>      8    17   4096000 sdb1   D:\
>>      8    18  58424664 sdb2
>>      8    16  62522712 sdb
>>      8    17   4096000 sdb1   D:\
>>      8    18  58424664 sdb2   E:\
>>
>> $ cat /proc/partitions
>> major minor  #blocks  name   win-mounts
>>
>>      8     0 1000204632 sda
>>      8     1    102400 sda1
>>      8     2     16384 sda2
>>      8     3 999571820 sda3   C:\
>>      8     4    510976 sda4
>>      8    16  62522712 sdb
>>      8    17   4096000 sdb1   D:\
>>      8    18  58424664 sdb2   E:\
>>
>>
>> So the second listing shows sdb twice. Also E: does not seem to exist
>> (see below).
> 
> So, second report.  Which OS is that on?  I don't have any physical
> Windows machine anymore, so I have a bit of a problem to reproduce this.
> 
> As I wrote in https://cygwin.com/pipermail/cygwin/2021-August/249012.html,
> I don't see how Cygwin would be able to duplicate entries, unless the OS
> itself duplicates entries.
> 
> Somebody who can duplicate this issue would have to single step through
> function format_proc_partitions, see
> 
> https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=winsup/cygwin/fhandler_proc.cc;h=66d19ab82f;hb=HEAD#l1686
> 
> and check what actually happens in the above cases.

Could those with the symptoms not provide useful information using a 
script run in an elevated admin shell listing the relevant contents of 
Windows objects accessed by format_proc_partitions from /proc/sys/ 
similar to the attached script and log from my system, where the 
correspondence is obvious?

e.g. save script and run as:

# sh .../proc-sys-partitions.sh.txt |& tee .../proc-sys-partitions.log

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple